## safe 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9.2)

cmake_policy(SET CMP0048 NEW)
project(safe VERSION 1.0.0 LANGUAGES CXX)

include(GNUInstallDirs)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
include(DocTarget)

add_library(${PROJECT_NAME} INTERFACE)
target_include_directories(${PROJECT_NAME} INTERFACE
	$<BUILD_INTERFACE:${${PROJECT_NAME}_SOURCE_DIR}/include>
	$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)
target_compile_features(${PROJECT_NAME} INTERFACE cxx_std_11)

include(InstallTarget)
install(DIRECTORY ${PROJECT_SOURCE_DIR}/include/${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9.2)

project(tests LANGUAGES CXX)

include(CTest)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
include(Warnings)

find_package(safe CONFIG REQUIRED)
find_package(doctest CONFIG REQUIRED )

add_executable(${PROJECT_NAME} test_main.cpp test_readme.cpp test_safe.cpp)
target_link_libraries(${PROJECT_NAME} PRIVATE safe::safe doctest::doctest)
target_set_warnings(${PROJECT_NAME} ENABLE ALL AS_ERROR ALL DISABLE Annoying)
set_target_properties(
	${PROJECT_NAME}
	PROPERTIES
		CXX_STANDARD 17
		CXX_EXTENSIONS NO
)

add_test(NAME safe.${PROJECT_NAME} COMMAND ${PROJECT_NAME} -s)

set(TEST_MAIN ${PROJECT_NAME})
# Adds a 'coverage' target to compile ${TEST_MAIN}.
include(CoverageTarget)

=== debian/changelog ===
safe (1.0.1-2) unstable; urgency=medium

  * Changed Multi-Arch to foreign (Closes: #1022178)

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Fri, 21 Oct 2022 14:57:45 -0700

safe (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #1010940)

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Thu, 12 May 2022 22:08:56 -0600

=== debian/control ===
Source: safe
Section: libs
Priority: optional
Maintainer: Matthias Geiger <matthias.geiger1024@tutanota.de>
Build-Depends: cmake, debhelper-compat (= 13), dh-cmake
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/werdahias/libsafe
Vcs-Git: https://salsa.debian.org/werdahias/libsafe.git
Homepage: https://github.com/LouisCharlesC/safe
Rules-Requires-Root: no

Package: libsafe-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: library for safe c++ mutexes (development files)
 A C++ library providing safe code for c++ mutexes.
 .
 This package is a header-only library.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/safe-$1\.tar\.gz/ \
  https://github.com/LouisCharlesC/safe/tags .*/v?(\d\S*)\.tar\.gz

## safe 3.50.0

=== DESCRIPTION ===
Package: safe
Title: Significance Analysis of Function and Expression
Version: 3.50.0
Author: William T. Barry
Description: SAFE is a resampling-based method for testing functional categories in gene expression experiments. SAFE can be applied to 2-sample and multi-class comparisons, or simple linear regressions. Other experimental designs can also be accommodated through user-defined functions.
Depends: R (>= 2.4.0), AnnotationDbi, Biobase, methods, SparseM
Suggests: GO.db, PFAM.db, reactome.db, hgu133a.db, breastCancerUPP,
        survival, foreach, doRNG, Rgraphviz, GOstats
Maintainer: Ludwig Geistlinger <ludwig.geistlinger@gmail.com>
License: GPL (>= 2)
biocViews: DifferentialExpression, Pathways, GeneSetEnrichment,
        StatisticalMethod, Software
git_url: https://git.bioconductor.org/packages/safe
git_branch: RELEASE_3_22
git_last_commit: 299aa5c
git_last_commit_date: 2025-10-29
Repository: Bioconductor 3.22
Date/Publication: 2025-10-29
NeedsCompilation: no
Packaged: 2025-10-30 06:15:41 UTC; biocbuild

## safe 3.51.0

=== DESCRIPTION ===
Package: safe
Title: Significance Analysis of Function and Expression
Version: 3.51.0
Author: William T. Barry
Description: SAFE is a resampling-based method for testing functional categories in gene expression experiments. SAFE can be applied to 2-sample and multi-class comparisons, or simple linear regressions. Other experimental designs can also be accommodated through user-defined functions.
Depends: R (>= 2.4.0), AnnotationDbi, Biobase, methods, SparseM
Suggests: GO.db, PFAM.db, reactome.db, hgu133a.db, breastCancerUPP,
        survival, foreach, doRNG, Rgraphviz, GOstats
Maintainer: Ludwig Geistlinger <ludwig.geistlinger@gmail.com>
License: GPL (>= 2)
biocViews: DifferentialExpression, Pathways, GeneSetEnrichment,
        StatisticalMethod, Software
git_url: https://git.bioconductor.org/packages/safe
git_branch: devel
git_last_commit: 2c88a2e
git_last_commit_date: 2025-10-29
Repository: Bioconductor 3.23
Date/Publication: 2025-10-31
NeedsCompilation: no
Packaged: 2025-10-31 23:58:50 UTC; biocbuild

## safe earth-0.1.0

=== requirements.txt ===
numpy
matplotlib
pandas
shapely
tqdm
lightning
scikit-learn
pyyaml
torchvision
torchaudio
basemap
xarray
zarr
kagglehub
huggingface_hub
geotiff
cartopy
geopy
neuraloperator
einops
wandb
kaggle
gcsfs
fsspec
cfgrib
cdsapi
xesmf
torch
optuna
dotenv
rasterio
geopandas
pytest
pytest-cov
geojson
requests_cache
earthengine-api
pygeoboundaries-geolab
maskedtensor-nightly
pytorch_lightning
rich
hydra-core
wandb

## safe reboot-0.2.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = safe_reboot
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
